	.reference	___bb_appstub_appstub
	.reference	___bb_audio_audio
	.reference	___bb_basic_basic
	.reference	___bb_blitz_blitz
	.reference	___bb_bmploader_bmploader
	.reference	___bb_d3d7max2d_d3d7max2d
	.reference	___bb_d3d9max2d_d3d9max2d
	.reference	___bb_data_data
	.reference	___bb_directsoundaudio_directsoundaudio
	.reference	___bb_dxgraphics_dxgraphics
	.reference	___bb_eventqueue_eventqueue
	.reference	___bb_freeaudioaudio_freeaudioaudio
	.reference	___bb_freejoy_freejoy
	.reference	___bb_freeprocess_freeprocess
	.reference	___bb_freetypefont_freetypefont
	.reference	___bb_glew_glew
	.reference	___bb_glgraphics_glgraphics
	.reference	___bb_glmax2d_glmax2d
	.reference	___bb_gnet_gnet
	.reference	___bb_jpgloader_jpgloader
	.reference	___bb_macos_macos
	.reference	___bb_map_map
	.reference	___bb_max2d_max2d
	.reference	___bb_maxlua_maxlua
	.reference	___bb_maxutil_maxutil
	.reference	___bb_oggloader_oggloader
	.reference	___bb_openalaudio_openalaudio
	.reference	___bb_pngloader_pngloader
	.reference	___bb_retro_retro
	.reference	___bb_tgaloader_tgaloader
	.reference	___bb_threads_threads
	.reference	___bb_timer_timer
	.reference	___bb_wavloader_wavloader
	.reference	___bb_win32_win32
	.reference	_bbCeil
	.reference	_bbFloatMax
	.reference	_bbFloatMin
	.reference	_bbFloatToInt
	.reference	_bbFloor
	.reference	_bbOnDebugEnterScope
	.reference	_bbOnDebugEnterStm
	.reference	_bbOnDebugLeaveScope
	.reference	_bbStringClass
	.reference	_brl_graphics_GraphicsHeight
	.reference	_brl_graphics_GraphicsWidth
	.reference	_brl_max2d_Cls
	.reference	_brl_max2d_GetClsColor
	.reference	_brl_max2d_GetOrigin
	.reference	_brl_max2d_GetViewport
	.reference	_brl_max2d_MoveVirtualMouse
	.reference	_brl_max2d_SetClsColor
	.reference	_brl_max2d_SetOrigin
	.reference	_brl_max2d_SetViewport
	.reference	_brl_max2d_SetVirtualResolution
	.reference	_brl_max2d_VirtualMouseX
	.reference	_brl_max2d_VirtualMouseY
	.reference	_brl_max2d_VirtualResolutionHeight
	.reference	_brl_max2d_VirtualResolutionWidth
	.globl	___bb_imports_aspect
	.globl	_bb_AspectCls
	.globl	_bb_AspectMouseX
	.globl	_bb_AspectMouseY
	.globl	_bb_AspectResolutionHeight
	.globl	_bb_AspectResolutionWidth
	.globl	_bb_GetAspectOrigin
	.globl	_bb_GetAspectViewport
	.globl	_bb_MoveAspectMouse
	.globl	_bb_SetAspectColor
	.globl	_bb_SetAspectOrigin
	.globl	_bb_SetAspectResolution
	.globl	_bb_SetAspectViewport
	.globl	_bb_SwitchAspectMode
	.text	
___bb_imports_aspect:
	push	%ebp
	mov	%esp,%ebp
	push	%ebx
	sub	$20,%esp
	cmpl	$0,_97
	je	_98
	mov	$0,%eax
	add	$20,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
_98:
	movl	$1,_97
	movl	%ebp,4(%esp)
	movl	$_73,(%esp)
	calll	*_bbOnDebugEnterScope
	call	___bb_blitz_blitz
	call	___bb_max2d_max2d
	call	___bb_appstub_appstub
	call	___bb_audio_audio
	call	___bb_basic_basic
	call	___bb_bmploader_bmploader
	call	___bb_d3d7max2d_d3d7max2d
	call	___bb_d3d9max2d_d3d9max2d
	call	___bb_data_data
	call	___bb_directsoundaudio_directsoundaudio
	call	___bb_dxgraphics_dxgraphics
	call	___bb_eventqueue_eventqueue
	call	___bb_freeaudioaudio_freeaudioaudio
	call	___bb_freetypefont_freetypefont
	call	___bb_glgraphics_glgraphics
	call	___bb_glmax2d_glmax2d
	call	___bb_gnet_gnet
	call	___bb_jpgloader_jpgloader
	call	___bb_map_map
	call	___bb_maxlua_maxlua
	call	___bb_maxutil_maxutil
	call	___bb_oggloader_oggloader
	call	___bb_openalaudio_openalaudio
	call	___bb_pngloader_pngloader
	call	___bb_retro_retro
	call	___bb_tgaloader_tgaloader
	call	___bb_threads_threads
	call	___bb_timer_timer
	call	___bb_wavloader_wavloader
	call	___bb_freejoy_freejoy
	call	___bb_freeprocess_freeprocess
	call	___bb_glew_glew
	call	___bb_macos_macos
	call	___bb_win32_win32
	movl	$_56,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$_59,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$_61,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$_63,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$_65,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$_67,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$_69,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$_71,(%esp)
	calll	*_bbOnDebugEnterStm
	mov	$0,%ebx
	jmp	_7
_7:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$20,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
_bb_SetAspectResolution:
	push	%ebp
	mov	%esp,%ebp
	sub	$44,%esp
	push	%ebx
	sub	$24,%esp
	flds	8(%ebp)
	fstps	-4(%ebp)
	flds	12(%ebp)
	fstps	-8(%ebp)
	movl	16(%ebp),%eax
	movl	%eax,-12(%ebp)
	movl	$0,-16(%ebp)
	movl	$0,-20(%ebp)
	fldz
	fstps	-24(%ebp)
	fldz
	fstps	-28(%ebp)
	movl	$0,-32(%ebp)
	movl	$0,-36(%ebp)
	movl	$0,-40(%ebp)
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_162,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_99,(%esp)
	calll	*_bbOnDebugEnterStm
	cmpl	$1,-12(%ebp)
	je	_100
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_102,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_101,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-12(%ebp),%eax
	movl	%eax,_66
	calll	*_bbOnDebugLeaveScope
_100:
	movl	$_103,(%esp)
	calll	*_bbOnDebugEnterStm
	cmpl	$0,_66
	jne	_104
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_113,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_105,(%esp)
	calll	*_bbOnDebugEnterStm
	fldz
	fstps	_58
	movl	$_106,(%esp)
	calll	*_bbOnDebugEnterStm
	fldz
	fstps	_60
	movl	$_107,(%esp)
	calll	*_bbOnDebugEnterStm
	flds	-4(%ebp)
	fstps	_62
	movl	$_108,(%esp)
	calll	*_bbOnDebugEnterStm
	flds	-8(%ebp)
	fstps	_64
	movl	$_109,(%esp)
	calll	*_bbOnDebugEnterStm
	flds	_64
	fstps	4(%esp)
	flds	_62
	fstps	(%esp)
	call	_brl_max2d_SetVirtualResolution
	movl	$_110,(%esp)
	calll	*_bbOnDebugEnterStm
	flds	_64
	fstpl	(%esp)
	call	_bbCeil
	fstpl	(%esp)
	call	_bbFloatToInt
	movl	%eax,12(%esp)
	flds	_62
	fstpl	(%esp)
	call	_bbCeil
	fstpl	(%esp)
	call	_bbFloatToInt
	movl	%eax,8(%esp)
	flds	_60
	fstpl	(%esp)
	call	_bbFloatToInt
	mov	%eax,%ebx
	flds	_58
	fstpl	(%esp)
	call	_bbFloatToInt
	movl	%ebx,4(%esp)
	movl	%eax,(%esp)
	call	_brl_max2d_SetViewport
	movl	$_111,(%esp)
	calll	*_bbOnDebugEnterStm
	flds	_60
	fstps	4(%esp)
	flds	_58
	fstps	(%esp)
	call	_brl_max2d_SetOrigin
	movl	$_112,(%esp)
	calll	*_bbOnDebugEnterStm
	mov	$0,%ebx
	calll	*_bbOnDebugLeaveScope
	jmp	_12
_104:
	movl	$_114,(%esp)
	calll	*_bbOnDebugEnterStm
	call	_brl_graphics_GraphicsWidth
	movl	%eax,-16(%ebp)
	movl	$_116,(%esp)
	calll	*_bbOnDebugEnterStm
	call	_brl_graphics_GraphicsHeight
	movl	%eax,-20(%ebp)
	movl	$_118,(%esp)
	calll	*_bbOnDebugEnterStm
	flds	-4(%ebp)
	fstps	_62
	movl	$_119,(%esp)
	calll	*_bbOnDebugEnterStm
	flds	-8(%ebp)
	fstps	_64
	movl	$_120,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-16(%ebp),%eax
	movl	%eax,-44(%ebp)
	fildl	-44(%ebp)
	fdivs	_62
	fstps	-24(%ebp)
	movl	$_122,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-20(%ebp),%eax
	movl	%eax,-44(%ebp)
	fildl	-44(%ebp)
	fdivs	_64
	fstps	-28(%ebp)
	movl	$_124,(%esp)
	calll	*_bbOnDebugEnterStm
	flds	-24(%ebp)
	flds	-28(%ebp)
	fxch	%st(1)
	fucompp
	fnstsw	%ax
	sahf
	setae	%al
	movzbl	%al,%eax
	cmp	$0,%eax
	jne	_125
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_127,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_126,(%esp)
	calll	*_bbOnDebugEnterStm
	flds	-24(%ebp)
	fstps	-28(%ebp)
	calll	*_bbOnDebugLeaveScope
_125:
	movl	$_128,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	_66,%eax
	and	$4,%eax
	cmp	$0,%eax
	je	_129
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_132,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_130,(%esp)
	calll	*_bbOnDebugEnterStm
	flds	-28(%ebp)
	fstpl	(%esp)
	call	_bbFloor
	fstps	-28(%ebp)
	movl	$_131,(%esp)
	calll	*_bbOnDebugEnterStm
	fld1
	fstpl	8(%esp)
	flds	-28(%ebp)
	fstpl	(%esp)
	call	_bbFloatMax
	fstps	-28(%ebp)
	calll	*_bbOnDebugLeaveScope
_129:
	movl	$_133,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-20(%ebp),%eax
	movl	%eax,-44(%ebp)
	fildl	-44(%ebp)
	fdivs	-28(%ebp)
	fstps	-8(%ebp)
	movl	$_134,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-16(%ebp),%eax
	movl	%eax,-44(%ebp)
	fildl	-44(%ebp)
	fdivs	-28(%ebp)
	fstps	-4(%ebp)
	movl	$_135,(%esp)
	calll	*_bbOnDebugEnterStm
	flds	-4(%ebp)
	fsubs	_62
	fmuls	_239
	fstps	_58
	movl	$_136,(%esp)
	calll	*_bbOnDebugEnterStm
	flds	-8(%ebp)
	fsubs	_64
	fmuls	_240
	fstps	_60
	movl	$_137,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	_66,%eax
	and	$4,%eax
	cmp	$0,%eax
	je	_138
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_141,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_139,(%esp)
	calll	*_bbOnDebugEnterStm
	flds	_58
	fstpl	(%esp)
	call	_bbFloor
	fstps	_58
	movl	$_140,(%esp)
	calll	*_bbOnDebugEnterStm
	flds	_60
	fstpl	(%esp)
	call	_bbFloor
	fstps	_60
	calll	*_bbOnDebugLeaveScope
_138:
	movl	$_142,(%esp)
	calll	*_bbOnDebugEnterStm
	flds	-8(%ebp)
	fstps	4(%esp)
	flds	-4(%ebp)
	fstps	(%esp)
	call	_brl_max2d_SetVirtualResolution
	movl	$_143,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	_66,%eax
	and	$1,%eax
	cmp	$0,%eax
	je	_144
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_154,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_145,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$0,-32(%ebp)
	movl	$0,-36(%ebp)
	movl	$0,-40(%ebp)
	movl	$_149,(%esp)
	calll	*_bbOnDebugEnterStm
	lea	-40(%ebp),%eax
	movl	%eax,8(%esp)
	lea	-36(%ebp),%eax
	movl	%eax,4(%esp)
	lea	-32(%ebp),%eax
	movl	%eax,(%esp)
	call	_brl_max2d_GetClsColor
	movl	$_150,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	_72,%eax
	movl	%eax,8(%esp)
	movl	_70,%eax
	movl	%eax,4(%esp)
	movl	_68,%eax
	movl	%eax,(%esp)
	call	_brl_max2d_SetClsColor
	movl	$_151,(%esp)
	calll	*_bbOnDebugEnterStm
	call	_brl_max2d_Cls
	movl	$_152,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-40(%ebp),%eax
	movl	%eax,8(%esp)
	movl	-36(%ebp),%eax
	movl	%eax,4(%esp)
	movl	-32(%ebp),%eax
	movl	%eax,(%esp)
	call	_brl_max2d_SetClsColor
	movl	$_153,(%esp)
	calll	*_bbOnDebugEnterStm
	flds	_64
	fstpl	(%esp)
	call	_bbFloatToInt
	movl	%eax,12(%esp)
	flds	_62
	fstpl	(%esp)
	call	_bbFloatToInt
	movl	%eax,8(%esp)
	flds	_60
	fstpl	(%esp)
	call	_bbFloatToInt
	mov	%eax,%ebx
	flds	_58
	fstpl	(%esp)
	call	_bbFloatToInt
	movl	%ebx,4(%esp)
	movl	%eax,(%esp)
	call	_brl_max2d_SetViewport
	calll	*_bbOnDebugLeaveScope
	jmp	_158
_144:
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_160,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_159,(%esp)
	calll	*_bbOnDebugEnterStm
	call	_brl_max2d_VirtualResolutionHeight
	fstpl	(%esp)
	call	_bbCeil
	fstpl	(%esp)
	call	_bbFloatToInt
	movl	%eax,12(%esp)
	call	_brl_max2d_VirtualResolutionWidth
	fstpl	(%esp)
	call	_bbCeil
	fstpl	(%esp)
	call	_bbFloatToInt
	movl	%eax,8(%esp)
	movl	$0,4(%esp)
	movl	$0,(%esp)
	call	_brl_max2d_SetViewport
	calll	*_bbOnDebugLeaveScope
_158:
	movl	$_161,(%esp)
	calll	*_bbOnDebugEnterStm
	flds	_60
	fstps	4(%esp)
	flds	_58
	fstps	(%esp)
	call	_brl_max2d_SetOrigin
	mov	$0,%ebx
	jmp	_12
_12:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$24,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
_bb_SetAspectColor:
	push	%ebp
	mov	%esp,%ebp
	sub	$12,%esp
	push	%ebx
	sub	$8,%esp
	movl	8(%ebp),%eax
	movl	%eax,-4(%ebp)
	movl	12(%ebp),%eax
	movl	%eax,-8(%ebp)
	movl	16(%ebp),%eax
	movl	%eax,-12(%ebp)
	movl	%ebp,4(%esp)
	movl	$_174,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_171,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%eax
	movl	%eax,_68
	movl	$_172,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-8(%ebp),%eax
	movl	%eax,_70
	movl	$_173,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-12(%ebp),%eax
	movl	%eax,_72
	mov	$0,%ebx
	jmp	_17
_17:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$8,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
_bb_AspectCls:
	push	%ebp
	mov	%esp,%ebp
	sub	$12,%esp
	push	%ebx
	sub	$24,%esp
	movl	$0,-4(%ebp)
	movl	$0,-8(%ebp)
	movl	$0,-12(%ebp)
	movl	%ebp,4(%esp)
	movl	$_190,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_176,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	_66,%eax
	and	$1,%eax
	cmp	$0,%eax
	je	_177
	movl	%ebp,4(%esp)
	movl	$_188,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_178,(%esp)
	calll	*_bbOnDebugEnterStm
	call	_brl_max2d_VirtualResolutionHeight
	fstpl	(%esp)
	call	_bbCeil
	fld1
	faddp	%st(0),%st(1)
	fstpl	(%esp)
	call	_bbFloatToInt
	movl	%eax,12(%esp)
	call	_brl_max2d_VirtualResolutionWidth
	fstpl	(%esp)
	call	_bbCeil
	fld1
	faddp	%st(0),%st(1)
	fstpl	(%esp)
	call	_bbFloatToInt
	movl	%eax,8(%esp)
	movl	$0,4(%esp)
	movl	$0,(%esp)
	call	_brl_max2d_SetViewport
	movl	$_179,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$0,-4(%ebp)
	movl	$0,-8(%ebp)
	movl	$0,-12(%ebp)
	movl	$_183,(%esp)
	calll	*_bbOnDebugEnterStm
	lea	-12(%ebp),%eax
	movl	%eax,8(%esp)
	lea	-8(%ebp),%eax
	movl	%eax,4(%esp)
	lea	-4(%ebp),%eax
	movl	%eax,(%esp)
	call	_brl_max2d_GetClsColor
	movl	$_184,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	_72,%eax
	movl	%eax,8(%esp)
	movl	_70,%eax
	movl	%eax,4(%esp)
	movl	_68,%eax
	movl	%eax,(%esp)
	call	_brl_max2d_SetClsColor
	movl	$_185,(%esp)
	calll	*_bbOnDebugEnterStm
	call	_brl_max2d_Cls
	movl	$_186,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-12(%ebp),%eax
	movl	%eax,8(%esp)
	movl	-8(%ebp),%eax
	movl	%eax,4(%esp)
	movl	-4(%ebp),%eax
	movl	%eax,(%esp)
	call	_brl_max2d_SetClsColor
	movl	$_187,(%esp)
	calll	*_bbOnDebugEnterStm
	flds	_64
	fstpl	(%esp)
	call	_bbFloatToInt
	movl	%eax,12(%esp)
	flds	_62
	fstpl	(%esp)
	call	_bbFloatToInt
	movl	%eax,8(%esp)
	flds	_60
	fstpl	(%esp)
	call	_bbFloatToInt
	mov	%eax,%ebx
	flds	_58
	fstpl	(%esp)
	call	_bbFloatToInt
	movl	%ebx,4(%esp)
	movl	%eax,(%esp)
	call	_brl_max2d_SetViewport
	calll	*_bbOnDebugLeaveScope
_177:
	movl	$_189,(%esp)
	calll	*_bbOnDebugEnterStm
	call	_brl_max2d_Cls
	mov	$0,%ebx
	jmp	_19
_19:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$24,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
_bb_SwitchAspectMode:
	push	%ebp
	mov	%esp,%ebp
	sub	$4,%esp
	push	%ebx
	sub	$16,%esp
	movl	8(%ebp),%eax
	movl	%eax,-4(%ebp)
	movl	%ebp,4(%esp)
	movl	$_193,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_192,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%eax
	movl	%eax,8(%esp)
	flds	_64
	fstps	4(%esp)
	flds	_62
	fstps	(%esp)
	call	_bb_SetAspectResolution
	mov	$0,%ebx
	jmp	_22
_22:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$16,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
_bb_SetAspectOrigin:
	push	%ebp
	mov	%esp,%ebp
	sub	$8,%esp
	push	%ebx
	sub	$12,%esp
	flds	8(%ebp)
	fstps	-4(%ebp)
	flds	12(%ebp)
	fstps	-8(%ebp)
	movl	%ebp,4(%esp)
	movl	$_196,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_195,(%esp)
	calll	*_bbOnDebugEnterStm
	flds	-8(%ebp)
	fadds	_60
	fstps	4(%esp)
	flds	-4(%ebp)
	fadds	_58
	fstps	(%esp)
	call	_brl_max2d_SetOrigin
	mov	$0,%ebx
	jmp	_26
_26:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$12,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
_bb_GetAspectOrigin:
	push	%ebp
	mov	%esp,%ebp
	sub	$8,%esp
	push	%ebx
	sub	$12,%esp
	movl	8(%ebp),%eax
	movl	%eax,-4(%ebp)
	movl	12(%ebp),%eax
	movl	%eax,-8(%ebp)
	movl	%ebp,4(%esp)
	movl	$_203,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_200,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-8(%ebp),%eax
	lea	(%eax),%eax
	movl	%eax,4(%esp)
	movl	-4(%ebp),%eax
	lea	(%eax),%eax
	movl	%eax,(%esp)
	call	_brl_max2d_GetOrigin
	movl	$_201,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%edx
	movl	-4(%ebp),%eax
	flds	(%eax)
	fsubs	_58
	fstps	(%edx)
	movl	$_202,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-8(%ebp),%edx
	movl	-8(%ebp),%eax
	flds	(%eax)
	fsubs	_60
	fstps	(%edx)
	mov	$0,%ebx
	jmp	_30
_30:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$12,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
_bb_SetAspectViewport:
	push	%ebp
	mov	%esp,%ebp
	sub	$28,%esp
	push	%ebx
	sub	$24,%esp
	movl	8(%ebp),%eax
	movl	%eax,-4(%ebp)
	movl	12(%ebp),%eax
	movl	%eax,-8(%ebp)
	movl	16(%ebp),%eax
	movl	%eax,-12(%ebp)
	movl	20(%ebp),%eax
	movl	%eax,-16(%ebp)
	fldz
	fstps	-20(%ebp)
	fldz
	fstps	-24(%ebp)
	movl	%ebp,4(%esp)
	movl	$_212,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_205,(%esp)
	calll	*_bbOnDebugEnterStm
	flds	_58
	fadds	_62
	fstpl	8(%esp)
	movl	-4(%ebp),%eax
	addl	-12(%ebp),%eax
	movl	%eax,-28(%ebp)
	fildl	-28(%ebp)
	fstpl	(%esp)
	call	_bbFloatMin
	fstps	-20(%ebp)
	movl	$_207,(%esp)
	calll	*_bbOnDebugEnterStm
	flds	_60
	fadds	_64
	fstpl	8(%esp)
	movl	-8(%ebp),%eax
	addl	-16(%ebp),%eax
	movl	%eax,-28(%ebp)
	fildl	-28(%ebp)
	fstpl	(%esp)
	call	_bbFloatMin
	fstps	-24(%ebp)
	movl	$_209,(%esp)
	calll	*_bbOnDebugEnterStm
	flds	_58
	fstpl	8(%esp)
	movl	-4(%ebp),%eax
	movl	%eax,-28(%ebp)
	fildl	-28(%ebp)
	fstpl	(%esp)
	call	_bbFloatMax
	fstpl	(%esp)
	call	_bbFloatToInt
	movl	%eax,-4(%ebp)
	movl	$_210,(%esp)
	calll	*_bbOnDebugEnterStm
	flds	_60
	fstpl	8(%esp)
	movl	-8(%ebp),%eax
	movl	%eax,-28(%ebp)
	fildl	-28(%ebp)
	fstpl	(%esp)
	call	_bbFloatMax
	fstpl	(%esp)
	call	_bbFloatToInt
	movl	%eax,-8(%ebp)
	movl	$_211,(%esp)
	calll	*_bbOnDebugEnterStm
	flds	-24(%ebp)
	movl	-8(%ebp),%eax
	movl	%eax,-28(%ebp)
	fildl	-28(%ebp)
	fsubrp	%st(0),%st(1)
	fstpl	(%esp)
	call	_bbFloatToInt
	movl	%eax,12(%esp)
	flds	-20(%ebp)
	movl	-4(%ebp),%eax
	movl	%eax,-28(%ebp)
	fildl	-28(%ebp)
	fsubrp	%st(0),%st(1)
	fstpl	(%esp)
	call	_bbFloatToInt
	movl	%eax,8(%esp)
	movl	-8(%ebp),%eax
	movl	%eax,4(%esp)
	movl	-4(%ebp),%eax
	movl	%eax,(%esp)
	call	_brl_max2d_SetViewport
	mov	$0,%ebx
	jmp	_36
_36:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$24,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
_bb_GetAspectViewport:
	push	%ebp
	mov	%esp,%ebp
	sub	$20,%esp
	push	%ebx
	sub	$16,%esp
	movl	8(%ebp),%eax
	movl	%eax,-4(%ebp)
	movl	12(%ebp),%eax
	movl	%eax,-8(%ebp)
	movl	16(%ebp),%eax
	movl	%eax,-12(%ebp)
	movl	20(%ebp),%eax
	movl	%eax,-16(%ebp)
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_219,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_216,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-16(%ebp),%eax
	lea	(%eax),%eax
	movl	%eax,12(%esp)
	movl	-12(%ebp),%eax
	lea	(%eax),%eax
	movl	%eax,8(%esp)
	movl	-8(%ebp),%eax
	lea	(%eax),%eax
	movl	%eax,4(%esp)
	movl	-4(%ebp),%eax
	lea	(%eax),%eax
	movl	%eax,(%esp)
	call	_brl_max2d_GetViewport
	movl	$_217,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	movl	-4(%ebp),%eax
	movl	(%eax),%eax
	movl	%eax,-20(%ebp)
	fildl	-20(%ebp)
	fsubs	_58
	fstpl	(%esp)
	call	_bbFloatToInt
	movl	%eax,(%ebx)
	movl	$_218,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-8(%ebp),%ebx
	movl	-8(%ebp),%eax
	movl	(%eax),%eax
	movl	%eax,-20(%ebp)
	fildl	-20(%ebp)
	fsubs	_60
	fstpl	(%esp)
	call	_bbFloatToInt
	movl	%eax,(%ebx)
	mov	$0,%ebx
	jmp	_42
_42:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$16,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
_bb_AspectMouseX:
	push	%ebp
	mov	%esp,%ebp
	sub	$24,%esp
	movl	%ebp,4(%esp)
	movl	$_222,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_221,(%esp)
	calll	*_bbOnDebugEnterStm
	call	_brl_max2d_VirtualMouseX
	fsubs	_58
	fstps	-4(%ebp)
	jmp	_44
_44:
	calll	*_bbOnDebugLeaveScope
	flds	-4(%ebp)
	mov	%ebp,%esp
	pop	%ebp
	ret
_bb_AspectMouseY:
	push	%ebp
	mov	%esp,%ebp
	sub	$24,%esp
	movl	%ebp,4(%esp)
	movl	$_225,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_224,(%esp)
	calll	*_bbOnDebugEnterStm
	call	_brl_max2d_VirtualMouseY
	fsubs	_60
	fstps	-4(%ebp)
	jmp	_46
_46:
	calll	*_bbOnDebugLeaveScope
	flds	-4(%ebp)
	mov	%ebp,%esp
	pop	%ebp
	ret
_bb_MoveAspectMouse:
	push	%ebp
	mov	%esp,%ebp
	sub	$8,%esp
	push	%ebx
	sub	$12,%esp
	flds	8(%ebp)
	fstps	-4(%ebp)
	flds	12(%ebp)
	fstps	-8(%ebp)
	movl	%ebp,4(%esp)
	movl	$_228,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_227,(%esp)
	calll	*_bbOnDebugEnterStm
	flds	-8(%ebp)
	fadds	_60
	fstps	4(%esp)
	flds	-4(%ebp)
	fadds	_58
	fstps	(%esp)
	call	_brl_max2d_MoveVirtualMouse
	mov	$0,%ebx
	jmp	_50
_50:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$12,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
_bb_AspectResolutionWidth:
	push	%ebp
	mov	%esp,%ebp
	sub	$24,%esp
	movl	%ebp,4(%esp)
	movl	$_231,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_230,(%esp)
	calll	*_bbOnDebugEnterStm
	flds	_62
	fstps	-4(%ebp)
	jmp	_52
_52:
	calll	*_bbOnDebugLeaveScope
	flds	-4(%ebp)
	mov	%ebp,%esp
	pop	%ebp
	ret
_bb_AspectResolutionHeight:
	push	%ebp
	mov	%esp,%ebp
	sub	$24,%esp
	movl	%ebp,4(%esp)
	movl	$_234,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_233,(%esp)
	calll	*_bbOnDebugEnterStm
	flds	_64
	fstps	-4(%ebp)
	jmp	_54
_54:
	calll	*_bbOnDebugLeaveScope
	flds	-4(%ebp)
	mov	%ebp,%esp
	pop	%ebp
	ret
	.data	
	.align	4
_97:
	.long	0
_74:
	.asciz	"aspect"
_75:
	.asciz	"ASPECT_KEEP"
_76:
	.asciz	"i"
	.align	4
_77:
	.long	_bbStringClass
	.long	2147483646
	.long	1
	.short	49
_78:
	.asciz	"ASPECT_STRETCH"
	.align	4
_79:
	.long	_bbStringClass
	.long	2147483646
	.long	1
	.short	48
_80:
	.asciz	"ASPECT_LETTERBOX_FILL"
	.align	4
_81:
	.long	_bbStringClass
	.long	2147483646
	.long	1
	.short	50
_82:
	.asciz	"ASPECT_LETTERBOX_BORDER"
	.align	4
_83:
	.long	_bbStringClass
	.long	2147483646
	.long	1
	.short	51
_84:
	.asciz	"ASPECT_BESTFIT_FILL"
	.align	4
_85:
	.long	_bbStringClass
	.long	2147483646
	.long	1
	.short	52
_86:
	.asciz	"ASPECT_BESTFIT_BORDER"
	.align	4
_87:
	.long	_bbStringClass
	.long	2147483646
	.long	1
	.short	53
_88:
	.asciz	"_xoffset"
_89:
	.asciz	"f"
	.align	4
_58:
	.long	0x0
_90:
	.asciz	"_yoffset"
	.align	4
_60:
	.long	0x0
_91:
	.asciz	"_vwidth"
	.align	4
_62:
	.long	0x0
_92:
	.asciz	"_vheight"
	.align	4
_64:
	.long	0x0
_93:
	.asciz	"_mode"
	.align	4
_66:
	.long	0
_94:
	.asciz	"_bred"
	.align	4
_68:
	.long	0
_95:
	.asciz	"_bgreen"
	.align	4
_70:
	.long	0
_96:
	.asciz	"_bblue"
	.align	4
_72:
	.long	0
	.align	4
_73:
	.long	1
	.long	_74
	.long	1
	.long	_75
	.long	_76
	.long	_77
	.long	1
	.long	_78
	.long	_76
	.long	_79
	.long	1
	.long	_80
	.long	_76
	.long	_81
	.long	1
	.long	_82
	.long	_76
	.long	_83
	.long	1
	.long	_84
	.long	_76
	.long	_85
	.long	1
	.long	_86
	.long	_76
	.long	_87
	.long	4
	.long	_88
	.long	_89
	.long	_58
	.long	4
	.long	_90
	.long	_89
	.long	_60
	.long	4
	.long	_91
	.long	_89
	.long	_62
	.long	4
	.long	_92
	.long	_89
	.long	_64
	.long	4
	.long	_93
	.long	_76
	.long	_66
	.long	4
	.long	_94
	.long	_76
	.long	_68
	.long	4
	.long	_95
	.long	_76
	.long	_70
	.long	4
	.long	_96
	.long	_76
	.long	_72
	.long	0
_57:
	.asciz	"/Users/macbook/Downloads/grandprix_win/Imports/aspect.bmx"
	.align	4
_56:
	.long	_57
	.long	25
	.long	1
	.align	4
_59:
	.long	_57
	.long	26
	.long	1
	.align	4
_61:
	.long	_57
	.long	27
	.long	1
	.align	4
_63:
	.long	_57
	.long	28
	.long	1
	.align	4
_65:
	.long	_57
	.long	29
	.long	1
	.align	4
_67:
	.long	_57
	.long	30
	.long	1
	.align	4
_69:
	.long	_57
	.long	31
	.long	1
	.align	4
_71:
	.long	_57
	.long	32
	.long	1
_163:
	.asciz	"SetAspectResolution"
_164:
	.asciz	"width"
_165:
	.asciz	"height"
_166:
	.asciz	"mode"
_167:
	.asciz	"gwidth"
_168:
	.asciz	"gheight"
_169:
	.asciz	"wratio"
_170:
	.asciz	"hratio"
	.align	4
_162:
	.long	1
	.long	_163
	.long	2
	.long	_164
	.long	_89
	.long	-4
	.long	2
	.long	_165
	.long	_89
	.long	-8
	.long	2
	.long	_166
	.long	_76
	.long	-12
	.long	2
	.long	_167
	.long	_76
	.long	-16
	.long	2
	.long	_168
	.long	_76
	.long	-20
	.long	2
	.long	_169
	.long	_89
	.long	-24
	.long	2
	.long	_170
	.long	_89
	.long	-28
	.long	0
	.align	4
_99:
	.long	_57
	.long	53
	.long	2
	.align	4
_102:
	.long	3
	.long	0
	.long	0
	.align	4
_101:
	.long	_57
	.long	53
	.long	28
	.align	4
_103:
	.long	_57
	.long	54
	.long	2
	.align	4
_113:
	.long	3
	.long	0
	.long	0
	.align	4
_105:
	.long	_57
	.long	55
	.long	3
	.align	4
_106:
	.long	_57
	.long	55
	.long	14
	.align	4
_107:
	.long	_57
	.long	55
	.long	25
	.align	4
_108:
	.long	_57
	.long	55
	.long	39
	.align	4
_109:
	.long	_57
	.long	56
	.long	3
	.align	4
_110:
	.long	_57
	.long	57
	.long	3
	.align	4
_111:
	.long	_57
	.long	58
	.long	3
	.align	4
_112:
	.long	_57
	.long	59
	.long	3
	.align	4
_114:
	.long	_57
	.long	61
	.long	2
	.align	4
_116:
	.long	_57
	.long	62
	.long	2
	.align	4
_118:
	.long	_57
	.long	63
	.long	2
	.align	4
_119:
	.long	_57
	.long	64
	.long	2
	.align	4
_120:
	.long	_57
	.long	65
	.long	2
	.align	4
_122:
	.long	_57
	.long	66
	.long	2
	.align	4
_124:
	.long	_57
	.long	67
	.long	2
	.align	4
_127:
	.long	3
	.long	0
	.long	0
	.align	4
_126:
	.long	_57
	.long	67
	.long	24
	.align	4
_128:
	.long	_57
	.long	68
	.long	2
	.align	4
_132:
	.long	3
	.long	0
	.long	0
	.align	4
_130:
	.long	_57
	.long	69
	.long	3
	.align	4
_131:
	.long	_57
	.long	70
	.long	3
	.align	4
_133:
	.long	_57
	.long	72
	.long	2
	.align	4
_134:
	.long	_57
	.long	73
	.long	2
	.align	4
_135:
	.long	_57
	.long	75
	.long	2
	.align	4
_239:
	.long	0x3f000000
	.align	4
_136:
	.long	_57
	.long	76
	.long	2
	.align	4
_240:
	.long	0x3f000000
	.align	4
_137:
	.long	_57
	.long	77
	.long	2
	.align	4
_141:
	.long	3
	.long	0
	.long	0
	.align	4
_139:
	.long	_57
	.long	78
	.long	3
	.align	4
_140:
	.long	_57
	.long	79
	.long	3
	.align	4
_142:
	.long	_57
	.long	81
	.long	2
	.align	4
_143:
	.long	_57
	.long	83
	.long	2
_155:
	.asciz	"red"
_156:
	.asciz	"green"
_157:
	.asciz	"blue"
	.align	4
_154:
	.long	3
	.long	0
	.long	2
	.long	_155
	.long	_76
	.long	-32
	.long	2
	.long	_156
	.long	_76
	.long	-36
	.long	2
	.long	_157
	.long	_76
	.long	-40
	.long	0
	.align	4
_145:
	.long	_57
	.long	84
	.long	3
	.align	4
_149:
	.long	_57
	.long	85
	.long	3
	.align	4
_150:
	.long	_57
	.long	86
	.long	3
	.align	4
_151:
	.long	_57
	.long	87
	.long	3
	.align	4
_152:
	.long	_57
	.long	88
	.long	3
	.align	4
_153:
	.long	_57
	.long	89
	.long	3
	.align	4
_160:
	.long	3
	.long	0
	.long	0
	.align	4
_159:
	.long	_57
	.long	91
	.long	3
	.align	4
_161:
	.long	_57
	.long	94
	.long	2
_175:
	.asciz	"SetAspectColor"
	.align	4
_174:
	.long	1
	.long	_175
	.long	2
	.long	_155
	.long	_76
	.long	-4
	.long	2
	.long	_156
	.long	_76
	.long	-8
	.long	2
	.long	_157
	.long	_76
	.long	-12
	.long	0
	.align	4
_171:
	.long	_57
	.long	103
	.long	2
	.align	4
_172:
	.long	_57
	.long	104
	.long	2
	.align	4
_173:
	.long	_57
	.long	105
	.long	2
_191:
	.asciz	"AspectCls"
	.align	4
_190:
	.long	1
	.long	_191
	.long	0
	.align	4
_176:
	.long	_57
	.long	113
	.long	2
	.align	4
_188:
	.long	3
	.long	0
	.long	2
	.long	_155
	.long	_76
	.long	-4
	.long	2
	.long	_156
	.long	_76
	.long	-8
	.long	2
	.long	_157
	.long	_76
	.long	-12
	.long	0
	.align	4
_178:
	.long	_57
	.long	114
	.long	3
	.align	4
_179:
	.long	_57
	.long	115
	.long	3
	.align	4
_183:
	.long	_57
	.long	116
	.long	3
	.align	4
_184:
	.long	_57
	.long	117
	.long	3
	.align	4
_185:
	.long	_57
	.long	118
	.long	3
	.align	4
_186:
	.long	_57
	.long	119
	.long	3
	.align	4
_187:
	.long	_57
	.long	120
	.long	3
	.align	4
_189:
	.long	_57
	.long	122
	.long	2
_194:
	.asciz	"SwitchAspectMode"
	.align	4
_193:
	.long	1
	.long	_194
	.long	2
	.long	_166
	.long	_76
	.long	-4
	.long	0
	.align	4
_192:
	.long	_57
	.long	130
	.long	2
_197:
	.asciz	"SetAspectOrigin"
_198:
	.asciz	"x"
_199:
	.asciz	"y"
	.align	4
_196:
	.long	1
	.long	_197
	.long	2
	.long	_198
	.long	_89
	.long	-4
	.long	2
	.long	_199
	.long	_89
	.long	-8
	.long	0
	.align	4
_195:
	.long	_57
	.long	138
	.long	2
_204:
	.asciz	"GetAspectOrigin"
	.align	4
_203:
	.long	1
	.long	_204
	.long	5
	.long	_198
	.long	_89
	.long	-4
	.long	5
	.long	_199
	.long	_89
	.long	-8
	.long	0
	.align	4
_200:
	.long	_57
	.long	146
	.long	2
	.align	4
_201:
	.long	_57
	.long	147
	.long	2
	.align	4
_202:
	.long	_57
	.long	148
	.long	2
_213:
	.asciz	"SetAspectViewport"
_214:
	.asciz	"x2"
_215:
	.asciz	"y2"
	.align	4
_212:
	.long	1
	.long	_213
	.long	2
	.long	_198
	.long	_76
	.long	-4
	.long	2
	.long	_199
	.long	_76
	.long	-8
	.long	2
	.long	_164
	.long	_76
	.long	-12
	.long	2
	.long	_165
	.long	_76
	.long	-16
	.long	2
	.long	_214
	.long	_89
	.long	-20
	.long	2
	.long	_215
	.long	_89
	.long	-24
	.long	0
	.align	4
_205:
	.long	_57
	.long	156
	.long	2
	.align	4
_207:
	.long	_57
	.long	157
	.long	2
	.align	4
_209:
	.long	_57
	.long	158
	.long	2
	.align	4
_210:
	.long	_57
	.long	159
	.long	2
	.align	4
_211:
	.long	_57
	.long	160
	.long	2
_220:
	.asciz	"GetAspectViewport"
	.align	4
_219:
	.long	1
	.long	_220
	.long	5
	.long	_198
	.long	_76
	.long	-4
	.long	5
	.long	_199
	.long	_76
	.long	-8
	.long	5
	.long	_164
	.long	_76
	.long	-12
	.long	5
	.long	_165
	.long	_76
	.long	-16
	.long	0
	.align	4
_216:
	.long	_57
	.long	169
	.long	2
	.align	4
_217:
	.long	_57
	.long	170
	.long	2
	.align	4
_218:
	.long	_57
	.long	171
	.long	2
_223:
	.asciz	"AspectMouseX"
	.align	4
_222:
	.long	1
	.long	_223
	.long	0
	.align	4
_221:
	.long	_57
	.long	180
	.long	2
_226:
	.asciz	"AspectMouseY"
	.align	4
_225:
	.long	1
	.long	_226
	.long	0
	.align	4
_224:
	.long	_57
	.long	189
	.long	2
_229:
	.asciz	"MoveAspectMouse"
	.align	4
_228:
	.long	1
	.long	_229
	.long	2
	.long	_198
	.long	_89
	.long	-4
	.long	2
	.long	_199
	.long	_89
	.long	-8
	.long	0
	.align	4
_227:
	.long	_57
	.long	196
	.long	2
_232:
	.asciz	"AspectResolutionWidth"
	.align	4
_231:
	.long	1
	.long	_232
	.long	0
	.align	4
_230:
	.long	_57
	.long	204
	.long	2
_235:
	.asciz	"AspectResolutionHeight"
	.align	4
_234:
	.long	1
	.long	_235
	.long	0
	.align	4
_233:
	.long	_57
	.long	212
	.long	2
